package com.seer.teach.common.enums.im;

import com.seer.teach.common.dto.mq.StringDTO;
import com.seer.teach.common.dto.mq.im.MqUserInfoDTO;

/**
 * <p>
 *     UserInfo
 * </p>
 *
 * @author Captain
 * @since 2025-07-17 9:08
 */
public enum UserInfoTopiTagEnum {
    /*激活设备-推送孩子信息*/
    ACTIVE_SUCCESS_ENTER_TV("active-success-enter-tv", MqUserInfoDTO.class),
    /*更新孩子信息*/
    UPDATE_CHILDREN_INFO("update-children-info", MqUserInfoDTO.class),
    UPDATE_PUSH_TIME("update-push-time",StringDTO.class),
    ANSWER_THINKING("answer-thinking", StringDTO.class );

    private final String tag;

    private Class<?> clazz;

    UserInfoTopiTagEnum(String tag, Class<?> clazz) {
        this.tag = tag;
        this.clazz = clazz;
    }

    public static Class getClass(String  tag) {
        for (UserInfoTopiTagEnum value : values()){
            if (value.tag.equalsIgnoreCase(tag)){
                return value.clazz;
            }
        }
        return null;
    }

    public Class<?> getClazz() {
        return clazz;
    }

    public String getTag() {
        return tag;
    }
}